Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 442638 - x11-misc/magick-rotation-1.6.2: fails to build, multiple QA issues
Summary: x11-misc/magick-rotation-1.6.2: fails to build, multiple QA issues
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Vadim Efimov
URL: https://tinderboxlogs.s3.amazonaws.co...
Whiteboard:
Keywords:
Depends on:
Blocks: as-needed ldflags
  Show dependency tree
 
Reported: 2012-11-10 22:18 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2012-11-11 16:53 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2012-11-10 22:18:55 UTC
Next time please echo the command line used so I don't have to go looking at the ebuild.

Now honestly, _this_ should never have entered the tree in its current state:

 * why the double build? it'll only build one and the other anyway.
 * it's ignoring cflags _and_ ldflags;
 * it's not using the right command line so it'll fail with --as-needed

Sorry if I sound harsh but I don't get in a very good mood when I stumble across stuff like this where nobody reviewed what's going on ... Vadim I'm not angry at you — you're not a developer and you're not bound to know the QA policies. Sergey, please remember that _you_ are still responsible for whatever you commit, so you should verify the ebuilds, even if they are proxying only.

Portage 2.2.0_alpha142 (default/linux/amd64/10.0, gcc-4.7.2-asneeded, glibc-2.16.0, 3.4.7-hardened x86_64)
=================================================================
System uname: Linux-3.4.7-hardened-x86_64-AMD_Opteron-TM-_Processor_6272-with-gentoo-2.2
Timestamp of tree: Sat, 03 Nov 2012 05:00:01 +0000
ld GNU ld (GNU Binutils) 2.23
ccache version 3.1.8 [disabled]
app-shells/bash:          4.2_p39
dev-java/java-config:     2.1.12
dev-lang/python:          2.6.8, 2.7.3-r2, 3.2.3-r1
dev-util/ccache:          3.1.8
dev-util/cmake:           2.8.9-r1
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.2
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.4_p6-r1, 1.9.6-r3, 1.10.3, 1.11.6, 1.12.4
sys-devel/binutils:       2.23
sys-devel/gcc:            4.6.3, 4.7.2
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.6 (virtual/os-headers)
sys-libs/glibc:           2.16.0
Repositories: gentoo tbamd64
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -ggdb -march=native -ftracer -frecord-gcc-switches"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/entropy /opt/openjms/config /usr/share/bufrtables /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.0/conf /usr/share/openvpn/easy-rsa /usr/share/qpsmtpd/plugins /usr/share/themes/oxygen-gtk/gtk-2.0 /var/bind /var/lib/hsqldb /var/lib/redmine/config /var/spool/torque /var/yp/Makefile"
CONFIG_PROTECT_MASK="${EPREFIX}/etc/gconf /etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/games/angband/edit/ /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /var/lib/redmine/config/locales /var/lib/redmine/config/settings.yml"
CXXFLAGS="-O2 -pipe -ggdb -march=native -ftracer -frecord-gcc-switches"
DISTDIR="/var/cache/portage/distfiles"
FCFLAGS="-O2 -pipe -ggdb -march=native -frecord-gcc-switches"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fail-clean fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict test test-fail-continue unknown-features-warn unmerge-orphans userfetch userpriv usersandbox"
FFLAGS="-O2 -pipe -ggdb -march=native -frecord-gcc-switches"
GENTOO_MIRRORS="http://ftp.ucsb.edu/pub/mirrors/linux/gentoo/ http://gentoo.mirrors.hoobly.com/ http://gentoo.llarian.net/"
LANG="en_US.utf8"
LC_ALL="C"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j24"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/tmp"
PORTDIR="/var/cache/tinderbox/tree"
PORTDIR_OVERLAY="/root/overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowex acl amd64 berkdb bzip2 cli cracklib crypt cups cxx dri emacs ffmpeg fortran gdbm gnutls gpm iconv icu intl ipv6 mmx modules mudflap multilib ncurses nls nptl openmp pam pax_kernel pcre pdf plasma pppd qt3support readline semantic-desktop session snmp sse sse2 sse3 sse4 ssl ssse3 tcmalloc tcpd udev unicode vhosts zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" PHP_TARGETS="php5-3" PYTHON_TARGETS="python3_2 python2_7" RUBY_TARGETS="ruby18 ruby19 ree18" USERLAND="GNU" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 1 Sergey Popov gentoo-dev Security 2012-11-11 08:06:25 UTC
>Next time please echo the command line used so I don't have to go looking at the ebuild.

I'm not trying to seem smarter than I am, but is there standard way to do this in ebuilds? I mean, doubling commands like 'echo $(tc-getCC) ....' && $(tc-getCC) ... or writing new function for each ebuild, which can not use standart portage ways to build is weird. But if it is needed to be done, then - ok, no problem.

>why the double build? it'll only build one and the other anyway.

I am sorry, i do not understand what do you mean as 'double build'? src_compile() build one binary for x86 or one for amd64. If you are confused with conditional building(or if it is inapropriate way to do such things), let me know, please. Maybe you mean that build arguments differs only with output binary name? Then, yeah, this can be simplified...

>it's ignoring cflags _and_ ldflags

Well, that's a really 100% my issue, you can blame me as much, as you want. I have missed it, cause i do a lot of work with python stuff in this package, but i should recheck all things before i add package to tree. So, sorry for that :-(

And finally, Diego, i am totally agree with you - these problems are my fault, cause i am responsible for things that i have committed to tree.
Comment 2 Sergey Popov gentoo-dev Security 2012-11-11 08:18:46 UTC
+  11 Nov 2012; Sergey Popov <pinkbyte@gentoo.org> magick-rotation-1.6.2.ebuild:
+  Respect CFLAGS, LDFLAGS, fix buiding with '--as-needed', add output to
+  src_compile, wrt bug #442638

Diego, please, verify ebuild once more time, and thanks for your work.
Comment 3 Diego Elio Pettenò (RETIRED) gentoo-dev 2012-11-11 16:53:02 UTC
Thanks, that's *much* better :) And sorry for the harsh words, lately it has been too common that things pass through review and linger for ever in that state — kudos to Sergey for fixing it overnight!

Although I'm still curious (and that's just curiosity), why the suffix at all?